#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# 2013 Karsten Schoeke karsten.schoeke@geobasis-bb.de

group = "activechecks"

register_rule(group,
    "active_checks:krb5",
    Tuple(
        title = _("Check access to Kerberos service"),
        help = _("This check uses <tt>check_krb5</tt> from the Nagios "
                "Exchange plugins in order to try the response of an Kerberos "
                "server."),
        elements = [
            TextUnicode(
                title = _("realm"),
                help = _("Kerberos realm to authenticate "),
                allow_empty = False),
            TextUnicode(
                title = _("principal"),
                help = _("Name of principal to try authentication"),
                allow_empty = False,
                size = 60),
                        TextUnicode(
                title = _("keytab"),
                help = _("Path to keytab file containing key to principal"),
                allow_empty = False,
                size = 60),                     
            Dictionary(
               title = _("Optional parameters"),
               elements = [
                   ( "port",
                     Integer(
                       title = _("TCP Port"),
                       help = _("Default is 88 for normal connections."),
                       minvalue = 1,
                       maxvalue = 65535,
                       default_value = 88)
                   ),
                ])
        ]),
    match = 'all'
)
